## gutenprint 5.3.4.20220624T01008808d602

=== debian/changelog ===
gutenprint (5.3.4.20220624T01008808d602-4ubuntu1) plucky; urgency=medium

  * Re-enable 32-bit support for Ubuntu, removing "architecture-is-64-bit"
    from "Build-Depends:" (LP: #2099865, LP: #2081090).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Feb 2025 19:28:08 +0100

gutenprint (5.3.4.20220624T01008808d602-4) unstable; urgency=medium

  * Team upload
  * Stop building gimp-gutenprint (Closes: #1088069)
  * Stop building libgutenprintui: it was only used by the gimp plugin
    (Closes: #603342, #967507)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Dec 2024 15:59:37 -0500

gutenprint (5.3.4.20220624T01008808d602-3) unstable; urgency=medium

  * cherry pick "gimpui: Fix two implicit-pointer-cast-to-int instances"
    (Closes: #1075056)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Aug 2024 19:10:00 +0200

gutenprint (5.3.4.20220624T01008808d602-2) unstable; urgency=medium

  * do not build this package on 32bit architectures anymore
    Closes: #1064088
    Closes: #1064089
    There was no patch attached to #1064089, so I can not reproduce the
    problems mentioned in #1064088. I am fed up with this poorly done
    transition, so I won't spend more time with this. Sorry 32bit people.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Apr 2024 23:10:00 +0200

gutenprint (5.3.4.20220624T01008808d602-1) unstable; urgency=medium

  * Update to new upstream version 5.3.4.20220624T01008808d602.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 16 Aug 2022 20:10:00 +0000

gutenprint (5.3.3-9) unstable; urgency=medium

  * debian/rules: try to find build failure on buildd

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 27 Mar 2022 12:03:02 +0200

gutenprint (5.3.3-8) unstable; urgency=medium

  * debian/control: add myself to Uploaders:
  * debian/rules: make package reproducible build (Closes: #1000839)
                  Thanks a lot to Vagrant Cascadian for the patch
  * debian/symbols: yydebug is missing now (Closes: #1005627)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 26 Mar 2022 21:03:02 +0100

gutenprint (5.3.3-7) unstable; urgency=medium

  * Fix arch:all FTBFS due to missing usb-quirks

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 09:14:05 +0200

gutenprint (5.3.3-6) unstable; urgency=medium

  * Run wrap-and-sort -baskt
  * Remove 2 obsolete maintscript entries in 2 files
  * Cleanup dependencies thanks to cme fix dpkg-control
  * S-V: Update to 4.6.0 without changes needed
  * Bump debhelper compat to 13
  * Add Salsa-CI configuration
  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 16:35:57 +0200
