=== debian/tests/control ===
Tests: printer-driver-gutenprint
Restrictions: needs-root
Depends:
 cups,
 cups-client (>= 1.7.3-5~),
 printer-driver-gutenprint,
