## gutenprint 5.3.6-2026-02-01T02-18-9b0bdf87

=== debian/changelog ===
gutenprint (5.3.6-2026-02-01T02-18-9b0bdf87-2) unstable; urgency=medium

  * debian/rules: disable tests on s390x
                  (this architecture does not warrant spending time)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 04 Mar 2026 12:01:35 +0100

gutenprint (5.3.6-2026-02-01T02-18-9b0bdf87-1) unstable; urgency=medium

  * Update to new upstream version 5.3.6-2026-02-01T02-18-9b0bdf87.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Feb 2026 19:01:35 +0100
