=== debian/rules ===
--- 
+++ 
@@ -69,6 +69,18 @@
 	# As dgit doesn't support the executable bit in patches, set it here before running the test
 	chmod +x scripts/test-driver-verbose
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo ${arch}
+	if [ "${arch}" = "s390x" ] || \
+	   [ "${arch}" = "s390x" ] ; then \
+	  echo "Do not make tests on this architecture" ;\
+	else \
+	  echo "Do make tests on this architecture" ;\
+          dh_auto_test; \
+	fi
+endif
+
 override_dh_perl:
 	dh_perl -d
